# [1.0.0-exp.25](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.24...v1.0.0-exp.25) (2021-10-08)


### Bug Fixes

* :bug: fix keyworded enum types formatting as numbers ([d686c13](https://github.com/CareBoo/unity-algorand-sdk/commit/d686c134dff5e0d657f974600c5948b86f506f0f))
* **algod:** :bug: fix pending transactions not returning messagepack ([dca09f8](https://github.com/CareBoo/unity-algorand-sdk/commit/dca09f8d6c2e1781097f3386355852b7179f01d9))
* **indexer:** :bug: add missing fields to `Account` model ([5732a1d](https://github.com/CareBoo/unity-algorand-sdk/commit/5732a1d7b6a57d300e8e8b4662696e180c0c2ecb))
* **indexer:** :bug: fix `HealthCheck` missing serialization logic ([f5165c6](https://github.com/CareBoo/unity-algorand-sdk/commit/f5165c681387450a791f191a2ae88a060741a9de))
* **indexer:** :fire: fix huge issue with indexer where query parameters were in body ([7bcca20](https://github.com/CareBoo/unity-algorand-sdk/commit/7bcca2022b8c1238cd35f225fccef80ada562143))
* **serialization:** :bug: fix `Block` not having a formatter ([dec6176](https://github.com/CareBoo/unity-algorand-sdk/commit/dec61762ddfba5c7f43223175c8c63f2d0b3609e))
* **serialization:** :bug: fix `BlockResponse` Serialization ([1252a16](https://github.com/CareBoo/unity-algorand-sdk/commit/1252a1634d6bb2fa00f78c1628ce7dbf33da6a56))
* **serialization:** :bug: fix `JsonWriter` not writing to `NativeText` ([2b61659](https://github.com/CareBoo/unity-algorand-sdk/commit/2b61659ea6801947f7b31069ecade0d6cb5f1e09))
* **serialization:** :bug: fix discrepancy between `TransactionId` and `TransactinIdResponse` ([d0c0370](https://github.com/CareBoo/unity-algorand-sdk/commit/d0c0370c0578e6d2296d0667557148e711c67174))
* **serialization:** :bug: fix issue where fixed strings were incorrectly being added to the queryparams ([a3e6fd9](https://github.com/CareBoo/unity-algorand-sdk/commit/a3e6fd9dbaf62d6e4bb05432568c0de36e3abb35))
* **serialization:** :bug: fix missing `AlgoApiObject` on all Transaction Params ([a11015f](https://github.com/CareBoo/unity-algorand-sdk/commit/a11015ff3da75db5ab5d6f7c809a89f50fe1142b))


### Features

* **networking:** :sparkles: add `ApiResponse` API to `ApiResponse<>` ([8556c53](https://github.com/CareBoo/unity-algorand-sdk/commit/8556c53616646d9b39d9a4a88488b66acb6ac421))
* **serialization:** :sparkles: add support for generically serializing byte enums to strings ([424c8b4](https://github.com/CareBoo/unity-algorand-sdk/commit/424c8b49c2a567c015a356db3b12a4d4d035dd61))
* **serialization:** :sparkles: finish implementing `MessagePackReader.Integers` and `MessagePackWriter.Integers` ([37d8f20](https://github.com/CareBoo/unity-algorand-sdk/commit/37d8f20eba237ad28fcf84f83cdbc989b0168a86))
* **serialization:** :sparkles: finish implementing serializer/deserializer methods in `EnumFormatter` ([3af569f](https://github.com/CareBoo/unity-algorand-sdk/commit/3af569f180d26f5501a48d1eb43a00327bdd5921))


### Reverts

* **demo:** :fire: remove bossroom assets... too big to be a sample ([e53192d](https://github.com/CareBoo/unity-algorand-sdk/commit/e53192daaba120f53d5c8f7312d2b199a8f4e564))


### BREAKING CHANGES

* **indexer:** indexer queries are now given as optional arguments

# [1.0.0-exp.24](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.23...v1.0.0-exp.24) (2021-10-05)


### Bug Fixes

* :bug: fix signatures ([2fb4614](https://github.com/CareBoo/unity-algorand-sdk/commit/2fb461459ac58266c1078bdb16607d65a25d8553))


### Features

* **kmd:** :sparkles: add `Error` to `ErrorMessage` which is used for kmd ([3c37a94](https://github.com/CareBoo/unity-algorand-sdk/commit/3c37a947ed4ff34b2b008562e8a40e6eaa142078))
* **kmd:** :sparkles: implement `APIV1DELETEKeyResponse` ([81f6c1e](https://github.com/CareBoo/unity-algorand-sdk/commit/81f6c1e14cf23ca1bca6a6e22ee76a3196a26f6f))
* **kmd:** :sparkles: implement `APIV1DELETEMultisigResponse` ([4c1d6db](https://github.com/CareBoo/unity-algorand-sdk/commit/4c1d6db3848c387d244bbb624030cd0fb2614dec))
* **kmd:** :sparkles: implement `APIV1GETWalletsResponse` ([9025e9a](https://github.com/CareBoo/unity-algorand-sdk/commit/9025e9a2dbf20fa2ed951d5ba602017901257984))
* **kmd:** :sparkles: implement `APIV1Wallet` ([e514183](https://github.com/CareBoo/unity-algorand-sdk/commit/e5141835d7db31cb7d4274b0e4c80976ce40291c))
* **kmd:** :sparkles: implement `APIV1WalletHandle` ([8bae4b4](https://github.com/CareBoo/unity-algorand-sdk/commit/8bae4b4e3385ef981a9375a791cdd3cb5e867578))
* **kmd:** :sparkles: implement `CreateWalletRequest` ([63882eb](https://github.com/CareBoo/unity-algorand-sdk/commit/63882eb7f363f34e510629c41276b6deeeadc718))
* **kmd:** :sparkles: implement `CreateWalletRequest` api fields ([f32094f](https://github.com/CareBoo/unity-algorand-sdk/commit/f32094f9235dd2c09e32935cea80e747bd0af597))
* **kmd:** :sparkles: implement `CreateWalletResponse` ([2579231](https://github.com/CareBoo/unity-algorand-sdk/commit/2579231460707e0824699c897deb136e29e2755e))
* **kmd:** :sparkles: implement `DeleteKeyRequest` ([5c89319](https://github.com/CareBoo/unity-algorand-sdk/commit/5c8931958bf638375843e8b57ef484dae713d936))
* **kmd:** :sparkles: implement `DeleteMultiSigRequest` ([15afda0](https://github.com/CareBoo/unity-algorand-sdk/commit/15afda09b50ebf543a05b95c5970cc61f6e68d7d))
* **kmd:** :sparkles: implement `ExportKeyRequest` ([a8b1131](https://github.com/CareBoo/unity-algorand-sdk/commit/a8b11314d037e7e8ece0273dd82b27f511433582))
* **kmd:** :sparkles: implement `ExportKeyResponse.Equals` ([010e656](https://github.com/CareBoo/unity-algorand-sdk/commit/010e656a3ddd7a9abea101a86828ad6c7b635c45))
* **kmd:** :sparkles: implement `ExportKeyResponse` ([db01766](https://github.com/CareBoo/unity-algorand-sdk/commit/db01766b0ad407e9088a1f2d1ba8487da5500b31))
* **kmd:** :sparkles: implement `ExportMasterKeyRequest` ([2a8ed81](https://github.com/CareBoo/unity-algorand-sdk/commit/2a8ed81b3b0577329dc862cea9d4de7a7c7b59fb))
* **kmd:** :sparkles: implement `ExportMasterKeyResponse` ([2843847](https://github.com/CareBoo/unity-algorand-sdk/commit/2843847d11145f3ee143d6f1a072fd59999e32f3))
* **kmd:** :sparkles: implement `ExportMultiSigRequest` ([e67c925](https://github.com/CareBoo/unity-algorand-sdk/commit/e67c925bce69227c730971840ec07984cb14711b))
* **kmd:** :sparkles: implement `ExportMultiSigResponse` ([bac0edb](https://github.com/CareBoo/unity-algorand-sdk/commit/bac0edb70256ceb82916eac7c6e29ef2f52aaf69))
* **kmd:** :sparkles: implement `GenerateKeyResponse` ([1d6795f](https://github.com/CareBoo/unity-algorand-sdk/commit/1d6795ffdfa76e0c20f2ec56ba4dea36ac7303aa))
* **kmd:** :sparkles: implement `GenerateMasterKeyRequest` ([6503dd8](https://github.com/CareBoo/unity-algorand-sdk/commit/6503dd8ef729d2a5460bcded8fad46efea99e77a))
* **kmd:** :sparkles: implement `ImportKeyRequest` ([521f7c1](https://github.com/CareBoo/unity-algorand-sdk/commit/521f7c1af4183cfa00d4f6ad2e4e6d7ac81dbfde))
* **kmd:** :sparkles: implement `ImportKeyResponse` ([83798a6](https://github.com/CareBoo/unity-algorand-sdk/commit/83798a65359906741b908e752d83f73ae0273613))
* **kmd:** :sparkles: implement `ImportMultiSigRequest` ([5eb5d42](https://github.com/CareBoo/unity-algorand-sdk/commit/5eb5d42d7d67919d9b7357708e5d3a68861877d5))
* **kmd:** :sparkles: implement `ImportMultiSigResponse` ([001f3ea](https://github.com/CareBoo/unity-algorand-sdk/commit/001f3eaffcf58aa5050cb8c5632dfff300adf69d))
* **kmd:** :sparkles: implement `InitWalletHandleTokenRequest` ([36dd459](https://github.com/CareBoo/unity-algorand-sdk/commit/36dd459e9923e3539ef291e4fdf0f8ea4c3afc09))
* **kmd:** :sparkles: implement `InitWalletHandleTokenResponse` ([26db31b](https://github.com/CareBoo/unity-algorand-sdk/commit/26db31bea84cb50e16d0194e8bf7b147469d1971))
* **kmd:** :sparkles: implement `KmdClient` ([7433060](https://github.com/CareBoo/unity-algorand-sdk/commit/743306013c6d5d7473990b9c8ad4f5055b036ba0)), closes [#13](https://github.com/CareBoo/unity-algorand-sdk/issues/13)
* **kmd:** :sparkles: implement `ListKeysRequest` ([b55fe67](https://github.com/CareBoo/unity-algorand-sdk/commit/b55fe67f5dd3a3b5316bef1dd32ecd421081214a))
* **kmd:** :sparkles: implement `ListKeysResponse` ([0096bd5](https://github.com/CareBoo/unity-algorand-sdk/commit/0096bd59eeb9ed56e65e1abb5cdda262c63979dc))
* **kmd:** :sparkles: implement `ListMultiSigRequest` ([ce667d1](https://github.com/CareBoo/unity-algorand-sdk/commit/ce667d10e43c7cb55e2b6b247760bfba92ad706d))
* **kmd:** :sparkles: implement `ListMultiSigResponse` ([550a0ed](https://github.com/CareBoo/unity-algorand-sdk/commit/550a0edb96b79b14ad139d7fc72828b59184b2c4))
* **kmd:** :sparkles: implement `ListWalletsRequest` ([b3b5023](https://github.com/CareBoo/unity-algorand-sdk/commit/b3b5023fd1a4374f99fe787c31648ba87502c598))
* **kmd:** :sparkles: implement `ReleaseWalletHandleTokenRequest` ([ff024de](https://github.com/CareBoo/unity-algorand-sdk/commit/ff024de546b8faddcecf248dd3ae4b2f2f8b8d04))
* **kmd:** :sparkles: implement `ReleaseWalletHandleTokenResponse` ([719c393](https://github.com/CareBoo/unity-algorand-sdk/commit/719c39331096dd0058cb1fb6a85abc8a4ca48b20))
* **kmd:** :sparkles: implement `RenameWalletRequest` ([c5a9f3b](https://github.com/CareBoo/unity-algorand-sdk/commit/c5a9f3b549b482223e9bde8fa0c7324849b29408))
* **kmd:** :sparkles: implement `RenameWalletResponse` ([6e5b55e](https://github.com/CareBoo/unity-algorand-sdk/commit/6e5b55ef118d6e94816c4e47b942c759158ee5ea))
* **kmd:** :sparkles: implement `RenewWalletHandleTokenRequest` ([0a0d589](https://github.com/CareBoo/unity-algorand-sdk/commit/0a0d589b48b63e51eb90e4ab142f58090ebac76c))
* **kmd:** :sparkles: implement `RenewWalletHandleTokenResponse` ([d85e5f5](https://github.com/CareBoo/unity-algorand-sdk/commit/d85e5f5e5dbbe0ad9fb1b0afdae48bd87e70959e))
* **kmd:** :sparkles: implement `SignMultiSigRequest` ([e1dfee9](https://github.com/CareBoo/unity-algorand-sdk/commit/e1dfee9f4e7b2fb51c32b9fa881b4c6ec70e979d))
* **kmd:** :sparkles: implement `SignMultiSigResponse` ([83ea09f](https://github.com/CareBoo/unity-algorand-sdk/commit/83ea09fb0da43e0fa99545ea667012a996e1b8a6))
* **kmd:** :sparkles: implement `SignProgramMultiSigRequest` ([063ed1d](https://github.com/CareBoo/unity-algorand-sdk/commit/063ed1d0ee411b1dd17ea5fb21da348bed78c3f1))
* **kmd:** :sparkles: implement `SignProgramMultiSigResponse` ([b5e5b5e](https://github.com/CareBoo/unity-algorand-sdk/commit/b5e5b5ebe9b81cac41264343de6e3dcde3765736))
* **kmd:** :sparkles: implement `SignProgramRequest` ([52ccb07](https://github.com/CareBoo/unity-algorand-sdk/commit/52ccb07a62a1986ba3344e5c87d537f46fab499c))
* **kmd:** :sparkles: implement `SignTransactionRequest` ([c542582](https://github.com/CareBoo/unity-algorand-sdk/commit/c54258248defcff86d9484c423e91603ab0c78ad))
* **kmd:** :sparkles: implement `SignTransactionResponse` ([d7080ab](https://github.com/CareBoo/unity-algorand-sdk/commit/d7080ab90dd16f4b4d51570540a62ab6322d5256))
* **kmd:** :sparkles: implement `VersionsRequest` ([f70f0fd](https://github.com/CareBoo/unity-algorand-sdk/commit/f70f0fde67adf73fea202917c985f2372ea24d0c))
* **kmd:** :sparkles: implement `VersionsResponse` ([7c85ec2](https://github.com/CareBoo/unity-algorand-sdk/commit/7c85ec249642d8749c8fea7ec73f8e5dd28eb46c))
* **kmd:** :sparkles: implement `WalletInfoResponse` ([6b3edc7](https://github.com/CareBoo/unity-algorand-sdk/commit/6b3edc798c63d6518f29d9050bf81f953079876c))
* **kmd:** implement `SignProgramResponse` ([978a31d](https://github.com/CareBoo/unity-algorand-sdk/commit/978a31d0fa9e5af12872dc5efcba055405f96e5c))
* **serialization:** :sparkles: add formatters for `PrivateKey`, `PublicKey`, and `Signature` ([2dedd67](https://github.com/CareBoo/unity-algorand-sdk/commit/2dedd67f4aa6676744fb48082343d68d96c4a805))
* **serialization:** :tada: update formatter cache ([029f841](https://github.com/CareBoo/unity-algorand-sdk/commit/029f8419b54810d582c3550b8a3b2e193946bf5a))

# [1.0.0-exp.23](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.22...v1.0.0-exp.23) (2021-10-03)


### Bug Fixes

* :bug: fix `RawTransaction.Equals` ([f6bd889](https://github.com/CareBoo/unity-algorand-sdk/commit/f6bd889c737f970c835d3273f7c28b002794ed3f))
* **indexer:** :bug: fix transaction formatters missing valid msgpack fields ([bf917ac](https://github.com/CareBoo/unity-algorand-sdk/commit/bf917ac30f964b9102c293d00a60d6f0072e75bd))
* **indexer:** :sparkles: fix `TealValue` msgpack fieldnames ([2a6ef27](https://github.com/CareBoo/unity-algorand-sdk/commit/2a6ef27e4f465c73a3cb744eae12267929c06f07))
* **serialization:** :bug: fix `SignedTransaction` serialization ([f4bde8d](https://github.com/CareBoo/unity-algorand-sdk/commit/f4bde8d4fd65e6146df35a6ce0890ed4417a235a))


### Code Refactoring

* :fire: remove some verify methods in the transaction ([70a8308](https://github.com/CareBoo/unity-algorand-sdk/commit/70a830830d3778a23d32fd9985d5d424972dd99f))
* :recycle: convert all `SignedTransaction<>` to a single `SignedTransaction` ([26fa65a](https://github.com/CareBoo/unity-algorand-sdk/commit/26fa65a53fa4cb2f4e8d81aa9ec2adc537d09b01))
* :recycle: rename `RawSignedTransaction` -> `SignedTransaction` ([059c6a3](https://github.com/CareBoo/unity-algorand-sdk/commit/059c6a369bd3f5e6d2b65965927cffd8bce65a49))
* :recycle: rename `RawTransaction` -> `Transaction` ([bade09e](https://github.com/CareBoo/unity-algorand-sdk/commit/bade09e7edc7df1d6dcbeb932f38fe7c199b21bb))
* :recycle: rename AlgoApiKeyAttribute -> AlgoApiFieldAttribute ([1b37028](https://github.com/CareBoo/unity-algorand-sdk/commit/1b370289ba2ffe8457f35c998aed6efcfe01931c))
* **algod:** :recycle: rename `Block` -> `BlockResponse` ([eca9fb6](https://github.com/CareBoo/unity-algorand-sdk/commit/eca9fb6c2be3a99272067d308a089148a1680427))


### Features

* :sparkles: add readOnly support ([6070565](https://github.com/CareBoo/unity-algorand-sdk/commit/6070565057130a23b52575126774a6d1fa58718a))
* **indexer:** :recycle: rename `ApplicationStateSchema` -> `StateSchema` ([7b02f70](https://github.com/CareBoo/unity-algorand-sdk/commit/7b02f70dbac6c3a67a0168107103a43be0a262ad))
* **indexer:** :sparkles: add `IIndexerClient` ([093153e](https://github.com/CareBoo/unity-algorand-sdk/commit/093153e104a09e4d9f3cafe27ea494d44fe35840))
* **indexer:** :sparkles: implement `AccountQuery` ([bda5301](https://github.com/CareBoo/unity-algorand-sdk/commit/bda5301687bf0a90d51860cd96074118639cc722))
* **indexer:** :sparkles: implement `AccountResponse` ([09d7fb9](https://github.com/CareBoo/unity-algorand-sdk/commit/09d7fb9b53afba88181a98ee66a4f95633ae7257))
* **indexer:** :sparkles: implement `AccountsQuery` ([e7d56e2](https://github.com/CareBoo/unity-algorand-sdk/commit/e7d56e29b559af8288e334e4006fe44bbab496b6))
* **indexer:** :sparkles: implement `AccountsResponse` ([ea01260](https://github.com/CareBoo/unity-algorand-sdk/commit/ea01260b0cc63fb0ee873b3f62c0a243fe20da30))
* **indexer:** :sparkles: implement `AddressRole` ([3325b60](https://github.com/CareBoo/unity-algorand-sdk/commit/3325b60757eac9400e5bf227639c2946b8f36a2d))
* **indexer:** :sparkles: implement `Application` ([144d04d](https://github.com/CareBoo/unity-algorand-sdk/commit/144d04d940c2361b636e3cff21a6134b08515980))
* **indexer:** :sparkles: implement `ApplicationLocalState` ([9ad284f](https://github.com/CareBoo/unity-algorand-sdk/commit/9ad284f734a27fb2cfc61a203f9400f397f63d31))
* **indexer:** :sparkles: implement `ApplicationQuery` ([de02370](https://github.com/CareBoo/unity-algorand-sdk/commit/de02370084ddf28ebf5473fd9016d0f634537c24))
* **indexer:** :sparkles: implement `ApplicationResponse` ([fa34b20](https://github.com/CareBoo/unity-algorand-sdk/commit/fa34b201d734a2deae62731ce224841ea9c00895))
* **indexer:** :sparkles: implement `ApplicationsQuery` ([914ca8b](https://github.com/CareBoo/unity-algorand-sdk/commit/914ca8b4b483f25d91be6e59b953a0d3b3fb2426))
* **indexer:** :sparkles: implement `ApplicationsResponse` ([e342cdc](https://github.com/CareBoo/unity-algorand-sdk/commit/e342cdc68d34e2582b0965af801eed60569fbd5e))
* **indexer:** :sparkles: implement `Asset` ([161f361](https://github.com/CareBoo/unity-algorand-sdk/commit/161f3618265027bf37f025c90326b3b96df24e8f))
* **indexer:** :sparkles: implement `AssetHolding` ([203785a](https://github.com/CareBoo/unity-algorand-sdk/commit/203785a112052f38c796bb6d9a5cef3a884cdbac))
* **indexer:** :sparkles: implement `AssetParams` ([ac78bfe](https://github.com/CareBoo/unity-algorand-sdk/commit/ac78bfedb61875fabb480e602eb9866f37bdd926))
* **indexer:** :sparkles: implement `AssetQuery` ([c8eda94](https://github.com/CareBoo/unity-algorand-sdk/commit/c8eda9423f316cc766f02e88ce6a0dea5805bde5))
* **indexer:** :sparkles: implement `AssetResponse` ([cd8e48f](https://github.com/CareBoo/unity-algorand-sdk/commit/cd8e48ff76f0959f848fc1dc5eb4f6cede1a6afd))
* **indexer:** :sparkles: implement `AssetsResponse` ([ade022d](https://github.com/CareBoo/unity-algorand-sdk/commit/ade022d73f1d0557b2259c676a5b3fd1493b8fb5))
* **indexer:** :sparkles: implement `BalancesQuery` ([b8f167e](https://github.com/CareBoo/unity-algorand-sdk/commit/b8f167eeea4dceb2493accf20dac409a0903950b))
* **indexer:** :sparkles: implement `BalancesResponse` ([c7ae299](https://github.com/CareBoo/unity-algorand-sdk/commit/c7ae29964bb26898f5d86519167eacd247265017))
* **indexer:** :sparkles: implement `Block` ([2533f24](https://github.com/CareBoo/unity-algorand-sdk/commit/2533f240584fe2022c4a2d64d90ebf2f9555da59))
* **indexer:** :sparkles: implement `BlockRewards` ([bb49cb0](https://github.com/CareBoo/unity-algorand-sdk/commit/bb49cb05bdade80cb283d9624eb751d9fd9bd112))
* **indexer:** :sparkles: implement `BlockUpgradeStatus` ([e9a0423](https://github.com/CareBoo/unity-algorand-sdk/commit/e9a0423125b1e2f2d5c2a0794cd9c705f84667c4))
* **indexer:** :sparkles: implement `BlockUpgradeVote` ([de5e72e](https://github.com/CareBoo/unity-algorand-sdk/commit/de5e72e097ee4abff6db3d0fe6bf1b5ba0067c6a))
* **indexer:** :sparkles: implement `ErrorResponse` msgpack fields ([358e6a6](https://github.com/CareBoo/unity-algorand-sdk/commit/358e6a6475f716e0df55ed75ee8f0173c885d1c1))
* **indexer:** :sparkles: implement `EvalDelta` msgpack fields ([45b2df2](https://github.com/CareBoo/unity-algorand-sdk/commit/45b2df29af0e15759fafab566ca52b320f5e3adc))
* **indexer:** :sparkles: implement `EvalDeltaKeyValue` msgpack fields ([bd3c230](https://github.com/CareBoo/unity-algorand-sdk/commit/bd3c2304f227c5e252f6b269d3c33468e9e796a3))
* **indexer:** :sparkles: implement `HealthCheck` ([a164577](https://github.com/CareBoo/unity-algorand-sdk/commit/a1645779a235d1e8c5201af61671292065f37cda))
* **indexer:** :sparkles: implement `IndexerClient.GetAccount` ([88ba11a](https://github.com/CareBoo/unity-algorand-sdk/commit/88ba11ac8d2dbf0d1aae786bb7f904a3c872fc53))
* **indexer:** :sparkles: implement `IndexerClient.GetAccounts` ([2e427f1](https://github.com/CareBoo/unity-algorand-sdk/commit/2e427f11f1a834d3d63c9f3eb3090f4330136342))
* **indexer:** :sparkles: implement `IndexerClient.GetHealth` ([0883ff0](https://github.com/CareBoo/unity-algorand-sdk/commit/0883ff0b17fb2123bf251ffbe0ada58f25cf4ecc))
* **indexer:** :sparkles: implement `IndexerClient` ([d7fd35a](https://github.com/CareBoo/unity-algorand-sdk/commit/d7fd35a195b216ffef6371ba099355b51a85f852))
* **indexer:** :sparkles: implement `LogicSig` json fields ([b22297c](https://github.com/CareBoo/unity-algorand-sdk/commit/b22297c25e71bbee318e779281904090d2cb79d7))
* **indexer:** :sparkles: implement `MiniAssetHolding` ([59941b8](https://github.com/CareBoo/unity-algorand-sdk/commit/59941b8002cfbcb37a24b1a80ecb96dc9cf9620f))
* **indexer:** :sparkles: implement `MultiSig.SubSignature` ([ef526ec](https://github.com/CareBoo/unity-algorand-sdk/commit/ef526ec427cb3e280ad7336ad6f65c748070a577))
* **indexer:** :sparkles: implement `MultiSig` ([df959a7](https://github.com/CareBoo/unity-algorand-sdk/commit/df959a75a1898605840402cc2805b5fd2b0cc4f9))
* **indexer:** :sparkles: implement `OnCompletion` ([04227b9](https://github.com/CareBoo/unity-algorand-sdk/commit/04227b95db85508f8f258963454a3095263dd80e))
* **indexer:** :sparkles: implement `TealKeyValue` msgPack fields ([e521553](https://github.com/CareBoo/unity-algorand-sdk/commit/e5215533bc5a0c25f71fbc38584b35d3a9b910b2))
* **indexer:** :sparkles: implement `Transaction.ApplicationCall` ([5a5e819](https://github.com/CareBoo/unity-algorand-sdk/commit/5a5e819ec408c44a0999f38db7bab3b4c16c2d0e))
* **indexer:** :sparkles: implement `Transaction.ApplicationCall` model fields ([69d64e8](https://github.com/CareBoo/unity-algorand-sdk/commit/69d64e8b14d0b6bf3da90ce4e782d13c9364745a))
* **indexer:** :sparkles: implement `Transaction.AssetConfiguration` model fields ([baf7c2e](https://github.com/CareBoo/unity-algorand-sdk/commit/baf7c2ea37cdc40c9e890c7c84e9ae51478df06c))
* **indexer:** :sparkles: implement `Transaction.AssetFreeze` model fields ([be45b90](https://github.com/CareBoo/unity-algorand-sdk/commit/be45b901e4478e404cd6aac77996de78470b75b1))
* **indexer:** :sparkles: implement `Transaction.AssetTransfer` model fields ([84aa15e](https://github.com/CareBoo/unity-algorand-sdk/commit/84aa15eef120f882177b4f57800036dccb91a6b5))
* **indexer:** :sparkles: implement `Transaction.KeyRegistration` ([69e004e](https://github.com/CareBoo/unity-algorand-sdk/commit/69e004eb56759117e9fc7bdba8adc67d4ac30ddd))
* **indexer:** :sparkles: implement `Transaction.KeyRegistration` model fields ([44029ca](https://github.com/CareBoo/unity-algorand-sdk/commit/44029ca8048cd9baf31d1a9aff9eea3b335ec93d))
* **indexer:** :sparkles: implement `TransactionResponse` ([430a1fa](https://github.com/CareBoo/unity-algorand-sdk/commit/430a1fa205e194766d22aa565a552769bebfc919))
* **indexer:** :sparkles: implement `TransactionsQuery` ([9ec7f4f](https://github.com/CareBoo/unity-algorand-sdk/commit/9ec7f4f5ec8e8df560ae6ea4a6b6bb548c203680))
* **indexer:** :sparkles: implement AssetsQuery ([e8d6e55](https://github.com/CareBoo/unity-algorand-sdk/commit/e8d6e550bc757c03c4f5bbff484d9e17e5283b09))
* **indexer:** :sparkles: implement TransactionsResponse ([e1a46f8](https://github.com/CareBoo/unity-algorand-sdk/commit/e1a46f877be174bf7605b1b8dac8f146cf850c62))
* **json:** :sparkles: implement `JsonWriter.WriteRaw` ([1643bad](https://github.com/CareBoo/unity-algorand-sdk/commit/1643badcf0069875a579da604ad0e2b5fb89d466))
* **json:** :sparkles: implement `ReadRaw` ([384abf8](https://github.com/CareBoo/unity-algorand-sdk/commit/384abf82e09f38724218d47675452c9f26595e21))
* **msgpack:** :sparkles: implement `MessagePackReader.ReadRaw` ([c2dec22](https://github.com/CareBoo/unity-algorand-sdk/commit/c2dec22a8c520aa953964f449ebc84cac5b89dff))
* **msgpack:** :sparkles: implement `MessagePackWriter.WriteRaw` ([d5ae90e](https://github.com/CareBoo/unity-algorand-sdk/commit/d5ae90e320d855f0e8f3a5f59e87934f4390ff50))
* **serialization:** :sparkles: implement `AlgoApiObject` ([74456b6](https://github.com/CareBoo/unity-algorand-sdk/commit/74456b60bb235eaf89b26d809adb2141b82d57f8))
* **serialization:** :sparkles: implement `Timestamp` ([cc1159b](https://github.com/CareBoo/unity-algorand-sdk/commit/cc1159b510aefc79c53fbe35154c5cf422e68f5f))


### BREAKING CHANGES

* remove `Transaction.VerifySignature`, `SignedTransaction.Verify`
* signed transactions are now represented by `SignedTransaction` (non-generic)
* renamed `RawSignedTransaction` -> `SignedTransaction`
* `RawTransaction` renamed to `Transaction`
* AlgoApiKeyAttribute -> AlgoApiFieldAttribute
* **algod:** `Block` renamed to `BlockResponse`

# [1.0.0-exp.22](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.21...v1.0.0-exp.22) (2021-09-28)


### Bug Fixes

* :bug: fix crash on ArrayComparer.Equals ([8ca1b06](https://github.com/CareBoo/unity-algorand-sdk/commit/8ca1b06daedcbdf97650f4b79bd72a134238bec0))
* :bug: fix issues with codegen and AOT compilation ([d2f9bdc](https://github.com/CareBoo/unity-algorand-sdk/commit/d2f9bdc8f8c77b8afb690162c3fafda81b5f8c48))

# [1.0.0-exp.21](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.20...v1.0.0-exp.21) (2021-09-28)


### Features

* :sparkles: update AlgoApiFormatterLookup ([cc112e5](https://github.com/CareBoo/unity-algorand-sdk/commit/cc112e55d4489e30afd2854757e482cf9d37c8ee))

# [1.0.0-exp.20](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.19...v1.0.0-exp.20) (2021-09-28)


### Features

* :sparkles: add FixedBytesFormatter ([941eb3f](https://github.com/CareBoo/unity-algorand-sdk/commit/941eb3f83b4b82d58431bc49b7f402e1ecfbccea))


### BREAKING CHANGES

* Replace Buffer with GetUnsafePtr

# [1.0.0-exp.19](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.18...v1.0.0-exp.19) (2021-09-25)


### Bug Fixes

* :bug: fix compile errs ([7a03ed9](https://github.com/CareBoo/unity-algorand-sdk/commit/7a03ed99a5cd7d3657df89c58a989ee0e33ced66))

# [1.0.0-exp.18](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.17...v1.0.0-exp.18) (2021-09-25)


### Features

* :sparkles: add LogicSig implementation ([51a21e0](https://github.com/CareBoo/unity-algorand-sdk/commit/51a21e02f98bb221ca2e14cbb8d1243f7b15b5ef))

# [1.0.0-exp.17](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.16...v1.0.0-exp.17) (2021-09-20)


### Features

* :sparkles: implement asset configuration transaction ([4f9ec58](https://github.com/CareBoo/unity-algorand-sdk/commit/4f9ec587932ed51da9bbbeaa1ddf3653a346c978)), closes [#27](https://github.com/CareBoo/unity-algorand-sdk/issues/27)
* :sparkles: implement AssetFreezeTransaction ([e3233bf](https://github.com/CareBoo/unity-algorand-sdk/commit/e3233bf9c8258eab91e8141c561d837f26780172)), closes [#26](https://github.com/CareBoo/unity-algorand-sdk/issues/26)
* :sparkles: implement AssetTransfer Transaction ([62a1841](https://github.com/CareBoo/unity-algorand-sdk/commit/62a1841332811753f48ac7fdccb1eec117607f3a)), closes [#23](https://github.com/CareBoo/unity-algorand-sdk/issues/23)

# [1.0.0-exp.16](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.15...v1.0.0-exp.16) (2021-09-19)


### Code Refactoring

* remove .NET 4.8 requirement ([9f55707](https://github.com/CareBoo/unity-algorand-sdk/commit/9f55707ba4f8a3d9b12fb7530b6ceec40c95219b)), closes [#19](https://github.com/CareBoo/unity-algorand-sdk/issues/19) [#9](https://github.com/CareBoo/unity-algorand-sdk/issues/9)


### BREAKING CHANGES

* Algo Serializer API has completely changed...

# [1.0.0-exp.15](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.14...v1.0.0-exp.15) (2021-09-03)


### Code Refactoring

* :fire: remove unnecessary `SendTransactionRaw` ([09b3bdc](https://github.com/CareBoo/unity-algorand-sdk/commit/09b3bdc0dfbeb2b47603b3cfc92be0478120bd09))


### BREAKING CHANGES

* Removes the `SendTransactionRaw` method from `AlgodClient`

# [1.0.0-exp.14](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.13...v1.0.0-exp.14) (2021-08-30)


### Features

* **algod:** implement Algod Client ([a7c9e90](https://github.com/CareBoo/unity-algorand-sdk/commit/a7c9e90e2f61a715488bfd8f0095c0206ae6e739)), closes [#10](https://github.com/CareBoo/unity-algorand-sdk/issues/10) [#16](https://github.com/CareBoo/unity-algorand-sdk/issues/16) [#18](https://github.com/CareBoo/unity-algorand-sdk/issues/18)

# [1.0.0-exp.13](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.12...v1.0.0-exp.13) (2021-08-07)


### Bug Fixes

* :white_check_mark: Fix CI tests on Github Actions can't find libsodium ([20c4ad5](https://github.com/CareBoo/unity-algorand-sdk/commit/20c4ad56edf57cef595c2f4078bba4e15d893602)), closes [#12](https://github.com/CareBoo/unity-algorand-sdk/issues/12)

# [1.0.0-exp.12](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.11...v1.0.0-exp.12) (2021-08-04)


### Features

* Add signed transaction support for payment transactions ([c07d370](https://github.com/CareBoo/unity-algorand-sdk/commit/c07d3705f70bcc33c245aa120c667a7dcc28d6e1))

# [1.0.0-exp.11](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.10...v1.0.0-exp.11) (2021-08-03)


### Features

* :sparkles: Add basic signed transaction support ([bb5900f](https://github.com/CareBoo/unity-algorand-sdk/commit/bb5900fa66bc9501c3d9da26e1e984ddd1fb2cc0))

# [1.0.0-exp.10](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.9...v1.0.0-exp.10) (2021-08-03)


### Features

* :sparkles: Add IEquatable, GetHashCode for RawTransaction ([885928e](https://github.com/CareBoo/unity-algorand-sdk/commit/885928e3c69dbc3742d11369d5e316853d6a8e8c))

# [1.0.0-exp.9](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.8...v1.0.0-exp.9) (2021-08-02)


### Features

* :sparkles: Add basic transaction support for message pack serialization and deserialization ([63243ed](https://github.com/CareBoo/unity-algorand-sdk/commit/63243ed492919522a752784756de2633d17a79fa))

# [1.0.0-exp.8](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.7...v1.0.0-exp.8) (2021-07-25)


### Features

* :sparkles: Added Transaction Header, Payment ([d3ebced](https://github.com/CareBoo/unity-algorand-sdk/commit/d3ebcedd3f86bdfabbb9f90a97e655fcadac1145))

# [1.0.0-exp.7](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.6...v1.0.0-exp.7) (2021-07-24)


### Features

* :sparkles: Add Account.Generate ([95233bf](https://github.com/CareBoo/unity-algorand-sdk/commit/95233bf877ee70d6e67f91baaf6f9e640b0a9141))

# [1.0.0-exp.6](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.5...v1.0.0-exp.6) (2021-07-24)


### Features

* :construction_worker: Add npmjs support ([56f60f0](https://github.com/CareBoo/unity-algorand-sdk/commit/56f60f0804c3cac377c78a5c47eea17785b29f9e))
* :heavy_plus_sign: Add libsodium ios, android, and windows ([00c9511](https://github.com/CareBoo/unity-algorand-sdk/commit/00c95113a152f01e737e56be6a31b3207aed57ff))
* :sparkles: Add Address struct ([d92b903](https://github.com/CareBoo/unity-algorand-sdk/commit/d92b90356cbf0070dd737a838eae417212a84a18))
* :sparkles: Add checksums ([2bc2189](https://github.com/CareBoo/unity-algorand-sdk/commit/2bc2189174e48de3324aa8ca4e3bbce22ca4e1c8))
* :sparkles: Add Sha512 interop ([86aabf5](https://github.com/CareBoo/unity-algorand-sdk/commit/86aabf5b0936cea36881cfaad1e1d87245755c92))
* :sparkles: Add start of Native Integration with Libsodium ([55e325f](https://github.com/CareBoo/unity-algorand-sdk/commit/55e325f4249603da679a66ece605f6ba8d5d762d))

# [1.0.0-exp.6](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.5...v1.0.0-exp.6) (2021-07-23)


### Features

* :construction_worker: Add npmjs support ([56f60f0](https://github.com/CareBoo/unity-algorand-sdk/commit/56f60f0804c3cac377c78a5c47eea17785b29f9e))
* :heavy_plus_sign: Add libsodium ios, android, and windows ([00c9511](https://github.com/CareBoo/unity-algorand-sdk/commit/00c95113a152f01e737e56be6a31b3207aed57ff))
* :sparkles: Add checksums ([2bc2189](https://github.com/CareBoo/unity-algorand-sdk/commit/2bc2189174e48de3324aa8ca4e3bbce22ca4e1c8))
* :sparkles: Add Sha512 interop ([86aabf5](https://github.com/CareBoo/unity-algorand-sdk/commit/86aabf5b0936cea36881cfaad1e1d87245755c92))
* :sparkles: Add start of Native Integration with Libsodium ([55e325f](https://github.com/CareBoo/unity-algorand-sdk/commit/55e325f4249603da679a66ece605f6ba8d5d762d))

# [1.0.0-exp.6](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.5...v1.0.0-exp.6) (2021-07-21)


### Features

* :construction_worker: Add npmjs support ([56f60f0](https://github.com/CareBoo/unity-algorand-sdk/commit/56f60f0804c3cac377c78a5c47eea17785b29f9e))
* :heavy_plus_sign: Add libsodium ios, android, and windows ([00c9511](https://github.com/CareBoo/unity-algorand-sdk/commit/00c95113a152f01e737e56be6a31b3207aed57ff))
* :sparkles: Add Sha512 interop ([86aabf5](https://github.com/CareBoo/unity-algorand-sdk/commit/86aabf5b0936cea36881cfaad1e1d87245755c92))
* :sparkles: Add start of Native Integration with Libsodium ([55e325f](https://github.com/CareBoo/unity-algorand-sdk/commit/55e325f4249603da679a66ece605f6ba8d5d762d))

# [1.0.0-exp.6](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.5...v1.0.0-exp.6) (2021-07-20)


### Features

* :construction_worker: Add npmjs support ([56f60f0](https://github.com/CareBoo/unity-algorand-sdk/commit/56f60f0804c3cac377c78a5c47eea17785b29f9e))
* :heavy_plus_sign: Add libsodium ios, android, and windows ([00c9511](https://github.com/CareBoo/unity-algorand-sdk/commit/00c95113a152f01e737e56be6a31b3207aed57ff))
* :sparkles: Add start of Native Integration with Libsodium ([55e325f](https://github.com/CareBoo/unity-algorand-sdk/commit/55e325f4249603da679a66ece605f6ba8d5d762d))

# [1.0.0-exp.6](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.5...v1.0.0-exp.6) (2021-07-20)


### Features

* :construction_worker: Add npmjs support ([56f60f0](https://github.com/CareBoo/unity-algorand-sdk/commit/56f60f0804c3cac377c78a5c47eea17785b29f9e))
* :heavy_plus_sign: Add libsodium ios, android, and windows ([00c9511](https://github.com/CareBoo/unity-algorand-sdk/commit/00c95113a152f01e737e56be6a31b3207aed57ff))
* :sparkles: Add start of Native Integration with Libsodium ([55e325f](https://github.com/CareBoo/unity-algorand-sdk/commit/55e325f4249603da679a66ece605f6ba8d5d762d))

# [1.0.0-exp.5](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.4...v1.0.0-exp.5) (2021-07-12)


### Bug Fixes

* :bug: Fix repository ([e765589](https://github.com/CareBoo/unity-algorand-sdk/commit/e765589b92849e23b7d080f335067cba1c1a8b62))

# [1.0.0-exp.4](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.3...v1.0.0-exp.4) (2021-07-12)


### Bug Fixes

* :bug: Fix npm release ([9e68078](https://github.com/CareBoo/unity-algorand-sdk/commit/9e68078b5f7f75a7670e7cf03dc1ee5137709bf1))

# [1.0.0-exp.3](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.2...v1.0.0-exp.3) (2021-07-12)


### Bug Fixes

* :triangular_flag_on_post: Update package registry ([a0800bc](https://github.com/CareBoo/unity-algorand-sdk/commit/a0800bc57c6fde758182075a90e2fbd96ce67be8))

# [1.0.0-exp.2](https://github.com/CareBoo/unity-algorand-sdk/compare/v1.0.0-exp.1...v1.0.0-exp.2) (2021-07-12)


### Features

* :sparkles: Add Mnemonic.FromString and Mnemonic.ToString ([d3a88c6](https://github.com/CareBoo/unity-algorand-sdk/commit/d3a88c6026ff3162a46f1e3d13ca54d103d43aaf))

# 1.0.0-exp.1 (2021-05-18)


### Features

* Add Mnemonic and Key datastructs ([4370f74](https://github.com/CareBoo/Algorand.SDK.Unity/commit/4370f74c4e5f5ed9977dc4954313bf57e7023547))

# Changelog
All notable changes to this package will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.1.0] - 2020-08-18

### This is the first release of *\<My Package\>*.

*Short description of this release*
