using System;
using Unity.Collections;

namespace AlgoSdk
{
    [AlgoApiObject]
    public struct AccountsResponse
        : IEquatable<AccountsResponse>
    {
        [AlgoApiField("accounts", null)]
        public Account[] Accounts;

        [AlgoApiField("current-round", null)]
        public ulong CurrentRound;

        [AlgoApiField("next-token", null)]
        public FixedString128Bytes NextToken;

        public bool Equals(AccountsResponse other)
        {
            return ArrayComparer.Equals(Accounts, other.Accounts)
                && CurrentRound.Equals(other.CurrentRound)
                && NextToken.Equals(other.NextToken)
                ;
        }
    }
}
